"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
class Generator {
    constructor(engine) {
        this.engine = engine;
    }
    render(props) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.engine.render(props);
            }
            catch (e) {
                console.log(chalk_1.default.red(e.message));
                throw e;
            }
        });
    }
}
exports.Generator = Generator;
