"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const assert_1 = tslib_1.__importDefault(require("assert"));
const path_1 = tslib_1.__importDefault(require("path"));
const utils_1 = require("../../utils");
function testLoadRaptorConfig() {
    function run() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const config = yield utils_1.parseConfigFile(path_1.default.resolve(__dirname, "../fixtures/test-project/stasis.config.json"));
            try {
                assert_1.default.deepEqual(config, {
                    assetsPath: "assets",
                    basePath: path_1.default.resolve(__dirname, "../fixtures/test-project"),
                    entryAssets: ["**/*"],
                    publicPath: "dist",
                    sourcePath: "src",
                    staticPath: "static"
                });
                return true;
            }
            catch (e) {
                throw e;
            }
        });
    }
    return {
        description: "It can load a config file",
        run
    };
}
exports.testLoadRaptorConfig = testLoadRaptorConfig;
