"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
const fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
const path_1 = tslib_1.__importDefault(require("path"));
exports.parseConfigFile = (path) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    try {
        let config = yield fs_extra_1.default.readJson(path);
        const configBasePath = path_1.default.dirname(path);
        config = Object.assign({}, config, { 
            // add base ath to properly resolve config paths
            basePath: configBasePath });
        return config;
    }
    catch (e) {
        console.log(chalk_1.default.red(e.message));
        process.exit(0);
    }
});
